## Options for Calling VMAKE

### Use

Option | Description
-b | Parent process is ended once the child process was successfully created. The child process is generated once all of the descriptions have been collected. Normally, the first child process message is <date> start of <target>. VMAKE is executed interactively before this message, that is, the standard signal handlers are used.
-c | Once all of the description files have been collected, all of the description information is displayed, and VMAKE is ended. This can be used to check the description files (or the VMAKE tool).
-d | Only the targets listed on the command line are created (if they are not up to date). Dependent module files are assumed to be up to date. For test purposes, therefore, you can avoid having to update all of the dependent module files.
-D<digit> | Outputs information about internal data and program processes; the greater the <digit> number, the more information is output.
+e | If you have specified software creation in debug mode using the $VMAKE_OPTION environment variable, you can deactivate debug mode with the +e option.

-F

Creates a distribution list, where possible obsolete targets are not updated. All files from the called target that have been assigned the distrib or distribute option for description files are entered in a list. This list is saved in a file in the $INSTROOT/etc directory. The name of the file is the same as the name of the called target. The file is given the extension .lst. The all.lst file is created when you enter imf -F all .

-g | Use of the complete path hierarchy from $VMAKE_PATH to search for object files; overrides the I parameter for the environment variable $VMAKE_OPTION.
-i | Interactive mode; user does not have to confirm a termination of VMAKE.
-I | Together with option -U; include files are created.
-k | Temporary files are not deleted (such as unpacked module files, object files)
-K | Temporary files are not deleted; in addition, all scripts are assigned the –k option, with the result that they also do not delete their temporary files.
-L | C module files are analyzed using LINT. No further operations are executed.
-l | Prevents the use of object files from lower path hierarchies. VMAKE only translates module files that originate from the lowest path hierarchy. This option overrides the environment variable $VMAKE_OPTION parameter g.
-m | Once all of the description information has been collected, all of the required module files are output.
-n | Checking MAKE process. VMAKE functions as normal, but no file system or operating system commands are executed. VMAKE assumes that all of these operations have been successfully carried out.
-p | Profiling for all module files
-r | Module files are normally freed from their frame and are then translated. This option suppresses translation and linking. The unpacked module files remain in the working directory. No further operations are executed.
-R | To speed up the creation process, the ? require : <source> option in the description files is not evaluated (default setting in VMAKE). The R option, takes the ? require : <source> option into account.
-S | Size information for types and variables is extracted from PASCAL module files. No further operations are executed.
-u | All named module files are explicitly retranslated and linked. All dependent module files are translated and linked as standard, depending on whether they are up to date. All named description files are explicitly relinked. If you specify a processing list as a target, then all modules that are listed directly in this processing list are retranslated.
-U | All named module files, and files that are dependent on them, are translated and linked (exception: include files).
-x | All of the file system commands executed by VMAKE are first displayed.